body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #e8f8e8;
    color: #000;
}


.hero {
    text-align: center;
    padding: 40px;
    border-bottom: 2px solid darkgreen;
    background: darkgreen
}

.hero h1 {
    font-size: 36px;
    margin-bottom: 10px;
    color: white
}

.hero p {
    font-size: 18px;
    margin-bottom: 20px;
    color: white
}

.hero-sections {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.hero-box {
    border: 1px solid darkgreen;
    background: #d4f1d4;
    padding: 20px;
    width: 150px;
    border-radius: 8px;
}


.layout {
    display: flex;
    min-height: calc(100vh - 140px);
}

.sidebar {
    width: 20%;
    background: #cce5cc;
    border-right: 1px solid darkgreen;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    overflow-y: auto;
}

.nav-btn {
    padding: 12px;
    border: none;
    background: darkgreen;
    color: white;
    cursor: pointer;
    border-radius: 6px;
    transition: 0.3s;
    text-decoration: none;
    display: inline-block;
    text-align: center;
}

.nav-btn:hover {
    background: #006400;
}


.dashboard {
    width: 60%;
    padding: 20px;
    background: #f0fff0;
}

.dashboard h1 {
    margin-bottom: 20px;
}

.cards {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.card {
    flex: 1;
    min-width: 150px;
    background: #d4f1d4;
    padding: 20px;
    border-radius: 8px;
    border: 1px solid darkgreen;
    text-align: center;
    transition: 0.3s;
}

.card:hover {
    background: #a8dfa8;
}


.ai-panel {
    width: 20%;
    border-left: 1px solid darkgreen;
    padding: 20px;
    background: #cce5cc;
    border-radius: 8px;
}

.contactrow {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-top: 20px;
}

.contactcard {
    border: 1px solid darkgreen;
    padding: 15px;
    width: 180px;
    text-align: center;
    border-radius: 8px;
    background: #d4f1d4;
    transition: 0.3s;
}

.contactcard:hover {
    background: darkgreen;
    color: white;
}


@media screen and (max-width: 900px) {
    .layout {
        flex-direction: column;
        height: auto;
    }

    .sidebar,
    .dashboard,
    .ai-panel {
        width: 100%;
    }

    .cards {
        flex-direction: column;
    }
}


.contactcard {
    border: 1px solid darkgreen;
    padding: 15px;
    width: 180px;
    text-align: center;
    border-radius: 8px;
    background: black;
    color: white;
    transition: 0.3s;
}

.contactcard:hover {
    background: lightgreen;
    color: black;
}

#myChart,
#myPieChart {
    max-width: 800px;
    max-height: 500px;
    margin: 20px auto;
    display: block;
}

#myChart {
    height: 300px !important;
}